AlgoSeek

List dataset access rules

Retrieves the list of datasets with their access constraints

GET 

https://api.devalgoseek.com/api/v1/account/my/data-access-rules#

Retrieves the list of datasets with their access constraints

Responses#

Successful Response

Schema
  • Array [
  • dataset_idstringrequired

    A short internal dataset identifier (unique).

    Example: US1032
    dataset_text_idstringrequired

    A unique text identifier of the dataset.

    Example: eq_taq
    dataset_namestringrequired

    A human-readable display name of the dataset.

    Example: US Equities Trade and Quote
    dataset_versionstringrequired

    A version label of the dataset.

    Example: latest
    start_datedaterequired

    Start date of the access period for the dataset.

    Example: 2024-01-01
    end_datedate

    End date of the access period, or null if access is ongoing.

    Examples:
    Example: null
    universe_identifiersstring[]required

    The list of allowed universe identifiers (e.g., Tickers) for dataset access. The empty list indicates no restrictions on universe identifiers.

    Example: ["AAPL","MSFT","IBM"]
  • ]

Authorization: X-API-KEY#

name: X-API-KEYtype: apiKeyin: header
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://api.devalgoseek.com/api/v1/account/my/data-access-rules");
request.Headers.Add("Accept", "application/json");
request.Headers.Add("X-API-KEY", "<X-API-KEY>");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Request
Base URL
https://api.devalgoseek.com
Auth
Response

Click the Send API Request button above and see the response here!